package com.hxhq.business.form.gsp;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

/**
 * 供试品入库记录
 */
public class GspRkjlForm {

    private Long id;

    /** 名称 */
    private String mc;

    /** 批号 */
    private String ph;

    /** 规格 */
    private String gg;

    /** 规格 */
    private String ggdw;

    /** 入库数量 */
    private String rkl;

    /** 入库单位 */
    private String rkdw;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rksj;

    /** 存储条件 */
    private String cctj;

    /** 注意事项 */
    private String zysx;

    /** 备注 */
    private String qmbz;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    @NotEmpty(message = "请输入密码")
    private String qmrmm;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph;
    }

    public String getGg() {
        return gg;
    }

    public void setGg(String gg) {
        this.gg = gg;
    }

    public String getGgdw() {
        return ggdw;
    }

    public void setGgdw(String ggdw) {
        this.ggdw = ggdw;
    }

    public String getRkl() {
        return rkl;
    }

    public void setRkl(String rkl) {
        this.rkl = rkl;
    }

    public String getRkdw() {
        return rkdw;
    }

    public void setRkdw(String rkdw) {
        this.rkdw = rkdw;
    }

    public Date getRksj() {
        return rksj;
    }

    public void setRksj(Date rksj) {
        this.rksj = rksj;
    }

    public String getCctj() {
        return cctj;
    }

    public void setCctj(String cctj) {
        this.cctj = cctj;
    }

    public String getZysx() {
        return zysx;
    }

    public void setZysx(String zysx) {
        this.zysx = zysx;
    }

    public String getQmbz() {
        return qmbz;
    }

    public void setQmbz(String qmbz) {
        this.qmbz = qmbz;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }
}
